Bug 439095 - NFSv4: wait for CLOSE to return before trying to remove
NFSv4: wait for CLOSE to return before trying to remove
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-26 18:36 EDT by chris vogan
Modified: 2008-05-19 17:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-19 17:54:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 439093 None None None Never

  None (edit)
Description chris vogan 2008-03-26 18:36:53 EDT
Description of problem:
NFSv4 issue with RHEL5 system. 
Problem also is seen on Fedora 7 and 8 systems.
NFSv4 client does not wait for the Close call to return before issuing a remove
request.  The result is the file is renamed to .nfsxxxxxx before being removed.
In a simple test program the close function was issued before the remove.  In a
network trace you can see the close call, but the nfsv4 client sent a rename
before the close call had a chance to return.  

Version-Release number of selected component (if applicable):
Kernel level: 2.6.18-53.1.14.el5

How reproducible:
Simple C program:
Open fd
Stat fd
Close fd
Remove fd

Steps to Reproduce:
1.Mount NFSv4 share
2.Run test program to open,stat,close,remove file to mount point.
3.Unmount NFSv4 share
Actual results:
The file was not removed. It was renamed then removed after the test program
completed. Network trace showed these results.
> CALL LOOKUP <- rename to replace remove

Expected results:

Additional info:

There is a fix for this problem by University of Michigan CITI NFSv4 team.
See Bugzilla: http://bugzilla.linux-nfs.org/show_bug.cgi?id=150
Comment 1 Dave Jones 2008-03-26 18:57:56 EDT
I just added that patch to CVS, it'll be in the next F7 build

The latest F8 kernel should already have that patch, and should be fixed.
Comment 2 Fedora Update System 2008-03-28 11:31:52 EDT
kernel- has been submitted as an update for Fedora 7
Comment 3 chris vogan 2008-03-28 15:34:02 EDT
Can you tell me the Fedora 8 kernel level that has this fix.  I thought my F8
system was up2date. 
Comment 4 Chuck Ebbert 2008-04-01 00:04:01 EDT
(In reply to comment #3)
> Can you tell me the Fedora 8 kernel level that has this fix.  I thought my F8
> system was up2date. 

F8 is at kernel 2.6.24 which already has this fix.
Comment 5 Fedora Update System 2008-04-01 17:36:01 EDT
kernel- has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-2850
Comment 6 chris vogan 2008-04-03 01:06:19 EDT
I applied Test-kernel "kernel-".
I re-ran my tests and I could not reproduce the problem. seen with prior F7 kernels.
I am going to re-verify F8 does not have an issue with the silly rename.

When do you think EL5 will see this fix? I have bug 439093 open for the same issue .
Comment 7 Bug Zapper 2008-05-14 11:24:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 chris vogan 2008-05-17 18:11:43 EDT
This issue has been resolved. Thanks you.
Comment 9 Peter van Egdom 2008-05-19 17:54:20 EDT
Thank you for reporting back. Closing bug as per comment #8.

Note You need to log in before you can comment on or make changes to this bug.